;
;; IMPORTANT: Only the first 1023 characters of this file are read!
;;            All parameters MUST occur within that space to be recognized!
;

[Heap]

Size=2500000    ; Should cover most cases for the MediaFLO application

;---------------------------------------------------------------------------
; This file includes all of the WonderBREW heap configuration options.
;
; The 'heap.ini' file should be placed in the MFUI application directory
; where it will be read by WonderBREW when the application is launched.
; This file is not required to run the application, but it may be required
; to improve overall performance of the application.
;
; NOTE: See important warning at top of file.
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
;---------------------------------------------------------------------------

;@define Stats
;@discussion When enabled, statistics relating to heap usage will be
;    logged when the application's module is unloaded by BREW.  Note that
;    statistics for both normal BREW heap usage and buddy heap usage (if
;    enabled) will be logged along with a recommended size for the buddy
;    heap.  Enabling this option will cause all memory allocations from
;    the normal BREW heap to use an additional 4 bytes of memory (but not
;    allocations from the buddy heap -- these additional 4 bytes of memory
;    used by each block allocated from the normal BREW heap will NOT be
;    included in the heap statistics reported for the normal BREW heap.
;
;    NOTE: See important warning at top of file.
;
;    Not enabled by default.
;
;@type bool

;Stats=Yes

;@define Size
;@discussion The number of bytes to allocate for a buddy heap.  A single
;    block of memory will be requested from the normal BREW heap of the
;    given size.  This block of memory will then be used as a buddy block
;    heap to satisfy application memory requests.  If the initial block
;    of memory cannot be allocated, or no size is specified, or the buddy
;    block heap becomes full, all memory allocations will automatically
;    fall back to the normal BREW heap.
;
;    For best application performance, a buddy block heap size should
;    be specified that is large enough to accomodate all application
;    memory requests with none falling back to the normal BREW heap (enable
;    the Stats option to check this via log messages when the application
;    module is unloaded).
;
;    NOTE: See important warning at top of file.
;
;    There is no default setting (i.e. no buddy heap will be created)
;
;@type number

;Size=2500000    ; Should cover most cases for the MediaFLO application
